# Class EventActions.Builder

java.lang.Object
com.google.adk.events.EventActions.Builder

Enclosing class:
  `EventActions`

public static class EventActions.Builder extends Object
Builder for `EventActions`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventActions.Builder`
  `artifactDelta(@Nullable Map<String,Integer> value)`
  `EventActions`
  `build()`
  `EventActions.Builder`
  `compaction(@Nullable EventCompaction value)`
  `EventActions.Builder`
  `deletedArtifactIds(Set<String> value)`
  `EventActions.Builder`
  `endInvocation(boolean endInvocation)`
  Deprecated.
  Use `endOfAgent(boolean)` instead.
  `EventActions.Builder`
  `endOfAgent(boolean endOfAgent)`
  `EventActions.Builder`
  `escalate(@Nullable Boolean escalate)`
  `EventActions.Builder`
  `merge(EventActions other)`
  `EventActions.Builder`
  `requestedAuthConfigs(@Nullable Map<String, ? extends Map<String,Object>> value)`
  `EventActions.Builder`
  `requestedToolConfirmations(@Nullable Map<String, ToolConfirmation> value)`
  `EventActions.Builder`
  `skipSummarization(@Nullable Boolean skipSummarization)`
  `EventActions.Builder`
  `stateDelta(@Nullable Map<String,Object> value)`
  `EventActions.Builder`
  `transferToAgent(@Nullable String agentId)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### skipSummarization

    @CanIgnoreReturnValue public EventActions.Builder skipSummarization(@Nullable Boolean skipSummarization)

  - ### stateDelta

    @CanIgnoreReturnValue public EventActions.Builder stateDelta(@Nullable Map<String,Object> value)

  - ### artifactDelta

    @CanIgnoreReturnValue public EventActions.Builder artifactDelta(@Nullable Map<String,Integer> value)

  - ### deletedArtifactIds

    @CanIgnoreReturnValue public EventActions.Builder deletedArtifactIds(Set<String> value)

  - ### transferToAgent

    @CanIgnoreReturnValue public EventActions.Builder transferToAgent(@Nullable String agentId)

  - ### escalate

    @CanIgnoreReturnValue public EventActions.Builder escalate(@Nullable Boolean escalate)

  - ### requestedAuthConfigs

    @CanIgnoreReturnValue public EventActions.Builder requestedAuthConfigs(@Nullable Map<String, ? extends Map<String,Object>> value)

  - ### requestedToolConfirmations

    @CanIgnoreReturnValue public EventActions.Builder requestedToolConfirmations(@Nullable Map<String, ToolConfirmation> value)

  - ### endOfAgent

    @CanIgnoreReturnValue public EventActions.Builder endOfAgent(boolean endOfAgent)

  - ### endInvocation

    @CanIgnoreReturnValue @Deprecated public EventActions.Builder endInvocation(boolean endInvocation)
    Deprecated.
    Use `endOfAgent(boolean)` instead.

  - ### compaction

    @CanIgnoreReturnValue public EventActions.Builder compaction(@Nullable EventCompaction value)

  - ### merge

    @CanIgnoreReturnValue public EventActions.Builder merge(EventActions other)

  - ### build

    public EventActions build()